<?php session_start();
include ('../inc/dbcon.php');
include ('../inc/functions.php');
include ('../inc/cartfunctions.php');
?>
<?php 
function get_edpupidsl_count($pid){
if(isset($_SESSION['axes_edpurchase'])){
$max=count($_SESSION['axes_edpurchase']);
$sum=0;
$qty=0;
for($i=0;$i<$max;$i++){
$qty=$_SESSION['axes_edpurchase'][$i]['qty'];
$epid=$_SESSION['axes_edpurchase'][$i]['pid'];
if($pid==$epid){
$sum+=$qty;
}
}
if($sum > 0){
return $sum;
}else{
return 0;    
}
}else{
return 0;        
}	
}

function get_edpuslpid_count($pid){
if(isset($_SESSION['axes_edpurse'])){
$max=count($_SESSION['axes_edpurse']);
$sum=0;
for($i=0;$i<$max;$i++){
$epid=$_SESSION['axes_edpurse'][$i]['pid'];
if($pid==$epid){
$sum+=1;
}    
}
return $sum;    
}else{
return 0;    
}
}
    
function pid_edpuslexits($pid){   
$max=count($_SESSION['axes_edpurse']);
$flag=0;    
for($i=0;$i<$max;$i++){
if($pid==$_SESSION['axes_edpurse'][$i]['pid']){
$flag=1;    
break;    
}    
}
return $flag;    
}

function remove_edpuslpid($pid,$dmax){
$c=0;    
$max=count($_SESSION['axes_edpurse']);
for($i=($max-1);$i>=0;$i=$i-1){    
if($pid==$_SESSION['axes_edpurse'][$i]['pid']){
$c+=1;    
unset($_SESSION['axes_edpurse'][$i]);
if($c==$dmax){
break;    
}     
}    
}
$_SESSION['axes_edpurse']=array_values($_SESSION['axes_edpurse']);    
}
?>
<table class="table table-bordered table-striped">
<?php if(get_edmobile_count()>0){ ?>
<tr>
<?php 
$max=count($_SESSION['axes_edpurchase']);
for($i=0;$i<$max;$i++){
if($_SESSION['axes_edpurchase'][$i]['imei']>=1){
$pid=$_SESSION['axes_edpurchase'][$i]['pid'];    
$qty=$_SESSION['axes_edpurchase'][$i]['qty'];    
$eqty=get_edpupidsl_count($pid);
if(isset($_SESSION['axes_edpurse'])){    
if(pid_edpuslexits($pid)){
$dmax=0;    
$sqty=get_edpuslpid_count($pid);
if($sqty!=$eqty){
if($sqty<$eqty){
$dmax=($eqty-$sqty);   
for($p=0;$p<$dmax;$p++){
add_edpurserial('A',$pid,'','M','');        
}   
}elseif($sqty>$eqty){
$dmax=($sqty-$eqty);    
remove_edpuslpid($pid,$dmax);    
}        
}    
}else{
add_edpurserial('A',$pid,'','M','');    
}
}else{
add_edpurserial('A',$pid,'','M','');    
}    
}        
}    
?>
<td colspan="4" align="center"></td>
</tr>
<tr>
<th width="30px" align="center">#</th>
<th width="300px">Name</th>
<th width="170px">IMEI/Serial</th>
<th width="25px" align="center"><i class="fa fa-trash"></i></th>
</tr>    
<?php } ?>
<?php
if(isset($_SESSION['axes_edpurse'])){
usort($_SESSION['axes_edpurse'], function ($a, $b) {
return $a['cartid'] <=> $b['cartid'];
});    
if(is_array($_SESSION['axes_edpurse'])){
?>	
<?php
$s=0;
$max=count($_SESSION['axes_edpurse']);
for($i=($max-1);$i>=0;$i=$i-1){ ?>
<?php if($_SESSION['axes_edpurse'][$i]['reumei']>=1){
$requ=1;	
}else{
$requ=0;	
}
$unqid=$_SESSION['axes_edpurse'][$i]['unqid'];
?>
<?php $s=$s+1; ?>

<tr>
<td align="center"><?php echo $s; ?></td>
<td <?php if($requ){echo 'style="color:red;"';}?>><?php echo $_SESSION['axes_edpurse'][$i]['name']; ?></td>
<td><input type="text" name="imei_<?php echo $i; ?>" maxlength="45" class="form-control imei" id="imei_<?php echo $i; ?>" value="<?php echo $_SESSION['axes_edpurse'][$i]['imei']; ?>"  size="2" style="height: 24px;" autocomplete="off" <?php if($unqid!='N/A'){ ?> readonly<?php } ?>/></td>
<td align="center"><?php if($unqid!='N/A'){  }else{ ?> <a id="<?php echo $i; ?>" class="slremove"><span style="cursor: pointer;" class="fa fa-times"></span></a><?php } ?></td>   


</tr>
<?php } ?>	
<?php }else{ ?>
<tr>
<td colspan="4" align="center">No IMEI/Serial Information!</td>
</tr> 
<?php } ?> 
<?php }else{ ?>
<tr><td colspan="4" align="center">No IMEI/Serial Information!</td>
</tr>
<?php } ?>
</table>